-- 
-- Create Date:    21:07:26 10/04/2010 
-- Module Name:    ad_formatconv - Behavioral 
-- Description:    Gjr om 2'komplement verdi fra potentiometer til sign-and-magnitude verdi
--
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity ad_formatconv is
    Port ( ad_a_in, ad_b_in : in  STD_LOGIC_VECTOR (13 downto 0);
           ad_a_out, ad_b_out : out  STD_LOGIC_VECTOR (7 downto 0);
			  ad_a_out_unused, ad_b_out_unused : OUT  STD_LOGIC_VECTOR (5 downto 0));
end ad_formatconv;

architecture Behavioral of ad_formatconv is

	component ad_snm
		Port (ad_in : in  STD_LOGIC_VECTOR (13 downto 0);
				ad_out : out  STD_LOGIC_VECTOR (7 downto 0);
				ad_out_un: out STD_LOGIC_VECTOR (5 downto 0));
	end component;
					
begin
	ad_1 : ad_snm
		port map (ad_a_in, ad_a_out, ad_a_out_unused);
	ad_2 : ad_snm
		port map (ad_b_in, ad_b_out, ad_b_out_unused);	
end Behavioral;

