----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    14:20:04 10/08/2010 
-- Design Name: 
-- Module Name:    shift - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity shift is
    Port ( R : in  STD_LOGIC_VECTOR (7 downto 0);
           clk,L,w : in  STD_LOGIC;
			  Q : out  STD_LOGIC);
end shift;

architecture Behavioral of shift is
	signal   Qpre : out  STD_LOGIC_VECTOR (7 downto 0);
begin
		process
		begin
			wait until clk'EVENT and clk = '1';
			if L = '1' then
				Qpre <= R;
			else
				Q(0) <= Qpre(1);
				Qpre(1) <= Qpre(2);
				Qpre(2) <= Qpre(3);
				Qpre(3) <= Qpre(4);
				Qpre(4) <= Qpre(5);
				Qpre(5) <= Qpre(6);
				Qpre(6) <= Qpre(7);
				Qpre(7) <= w;
			end if;	
		end process;
		Q <= Qpre(0);
end Behavioral;

