-- 
-- Create Date:    09:54:55 10/21/2010 
-- Module Name:    test_rx - Behavioral 
--
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity test_rx is
    Port ( clk_4b : in  STD_LOGIC;
           direction : in  STD_LOGIC:='0';
           div : in  STD_LOGIC_VECTOR (7 downto 0):="00000000";
           test_rx : out  STD_LOGIC);
end test_rx;

architecture Behavioral of test_rx is
signal q : integer range 0 to 80:=0;
begin
	process(clk_4b,direction)
	begin
		if clk_4b'event and clk_4b = '1' then
			if q = 0 then
				if direction = '0' then
					q <= 1;
				else
					q <= q;
				end if;
			elsif q = 80 then
				q <= 0;
			elsif q > 0 and q < 80 then
				q <= q+1;
			end if;
		end if;
	end process;
	
	test_rx <= '0' when ((q > 40) and (q < 45)) or 
								((q > 44) and (q < 49) and (div(0) = '0')) or 
								((q > 48) and (q < 53) and (div(1) = '0')) or 
								((q > 52) and (q < 57) and (div(2) = '0')) or 
								((q > 56) and (q < 61) and (div(3) = '0')) or 
								((q > 60) and (q < 65) and (div(4) = '0')) or 
								((q > 64) and (q < 69) and (div(5) = '0')) or 
								((q > 68) and (q < 73) and (div(6) = '0')) or 
								((q > 72) and (q < 77) and (div(7) = '0')) 
								else '1'; 
end Behavioral;

