-- 
-- Create Date:    20:27:23 10/28/2010 
-- Module Name:    tx_msc_hub - Behavioral 
--
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity tx_msc_hub is
    Port ( sw_power, sw_dir, sw_spd, sw_xtra : in  STD_LOGIC;
           led_status, led_xtra1, led_xtra2, led_xtra3 : in  STD_LOGIC;
           msc : out  STD_LOGIC_VECTOR (7 downto 0));
end tx_msc_hub;

architecture Behavioral of tx_msc_hub is

begin
	msc <= sw_power & sw_dir & sw_spd & sw_xtra & led_status & led_xtra1 & led_xtra2 & led_xtra3;
end Behavioral;

