-- 
-- Create Date:    20:03:26 10/28/2010 
-- Module Name:    tx_test_pins - Behavioral 
-- Description:    Test pinner for tx_test modul
--
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity tx_test_pins is
    Port ( switch : in  STD_LOGIC_VECTOR (3 downto 0);
           btn_north, btn_south, btn_west, btn_east : in  STD_LOGIC;
			  direction : out  STD_LOGIC_VECTOR (7 downto 0));
end tx_test_pins;

architecture Behavioral of tx_test_pins is	
begin
	direction <= switch(3) & switch(2) & switch(1) & switch(0) & btn_north & btn_west & btn_south & btn_east;
end Behavioral;

